org.apache.xerces.impl

## Class XMLDocumentScannerImpl.TrailingMiscDispatcher

- java.lang.Object
- - org.apache.xerces.impl.XMLDocumentScannerImpl.TrailingMiscDispatcher

All Implemented Interfaces:
  XMLDocumentFragmentScannerImpl.Dispatcher

Enclosing class:
  XMLDocumentScannerImpl

    protected final class XMLDocumentScannerImpl.TrailingMiscDispatcher
    extends java.lang.Object
    implements XMLDocumentFragmentScannerImpl.Dispatcher

Dispatcher to handle trailing miscellaneous section scanning.

Author:
  Andy Clark, IBM, Eric Ye, IBM

### Constructor Summary

Constructors
`protected` `TrailingMiscDispatcher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `dispatch(boolean complete)` Dispatch an XML "event".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrailingMiscDispatcher

    protected TrailingMiscDispatcher()

### Method Detail

#### dispatch

    public boolean dispatch(boolean complete)
                     throws java.io.IOException,
                            org.apache.xerces.xni.XNIException

Dispatch an XML "event".

Specified by:
  `dispatch` in interface `XMLDocumentFragmentScannerImpl.Dispatcher`
Parameters:
  `complete` - True if this dispatcher is intended to scan and dispatch as much as possible.
Returns:
  True if there is more to dispatch either from this or a another dispatcher.
Throws:
  `java.io.IOException` - Thrown on i/o error.
  `org.apache.xerces.xni.XNIException` - Thrown on parse error.